void usage() {
	fprintf(stderr, "Usage:\n"
			"bbcload [options] [filename]\n"
			"bbcsave [options] tape-filename load-address exec-address [filename]\n"
			"options             | Description              | default value\n"
			"--------------------------------------------------------------\n"
			"-d <device>         | use another device file. | %s\n"
			"-w <file>           | use a file instead of line-in.| \n"
			"\n"
			"-f <freq Hz>        | sample frequency.        | %d\n"
			"-r <baud rate>      | baud rate of file.       | %d\n"
			"-s <block-size>     | block size of file.      | %d\n"
			"-b <start/stop bits>| start and stop bits.     | %s\n"
			"NOTE: '-' can be used as a filename to specify in-/output\n"
			"      from/to stdin/stdout.\n"
			"\n"
			"examples:\n"
			"    bbcsave tapefile 0xE00 0x8023 beebfile\n"
			"    bbcload beebfile\n",
			DEFAULT_AUDIO_DEV, DEFAULT_SAMPLE_FREQ, DEFAULT_BAUD_RATE, DEFAULT_BLOCK_SIZE, DEFAULT_START_STOP_BITS);
	exit (-1);
}
